<?php
/**
 * Template Name: Index Page
 *
 * This page is specifically designed for the index page of Prelude.12
 * 
 * @package Thematic
 * @subpackage Templates
 */
?>

<?php
    // calling the header.php
    get_header();

    // action hook for placing content above #container
    thematic_abovecontainer();

	// var definition for style directories
	$PRELUDEimagedir = get_stylesheet_directory_uri();
	$PRELUDEimagedir .= '/library/images/';
	
	$PRELUDEFlashdir = $PRELUDEimagedir;
	$PRELUDEFlashdir .= 'flash/' ; 
	
	$PRELUDEfronttempdir = $PRELUDEimagedir;
	$PRELUDEfronttempdir .= 'front_temp/' ;
	
	$PRELUDEscriptdir = get_stylesheet_directory_uri();
	$PRELUDEscriptdir .= '/library/scripts/'; 
	
?>
<div class="homeWrapper">
	<canvas id="homeCanvas" width="600" height="600" style="cursor:pointer;">
	Your browser does not support the HTML5 canvas tag.</canvas>

	<script>

	var c = document.getElementById("homeCanvas");
	var link = "<?php the_field('link_to', 'options'); ?>";
	jQuery(document).ready(function(){
		jQuery("#homeCanvas").click(function(){
			window.location = "<?php the_field('link_to', 'options'); ?>";
		});
	});
	var ctx = c.getContext("2d");
	ctx.globalAlpha = 0.5;
	ctx.beginPath();
	ctx.arc(175,300,175,0,2*Math.PI);
	ctx.fillStyle = "<?php the_field('cares_hiding_color_hex_code', 'options'); ?>";
	ctx.fill();
	

	var ctx2 = c.getContext("2d");
	ctx2.beginPath();
	ctx2.arc(300,200,175,0,2*Math.PI);
	ctx2.fillStyle = "<?php the_field('honesty_color_hex_code', 'options'); ?>";
	ctx2.fill();
	ctx2.globalAlpha = 0.5;

	var ctx3 = c.getContext("2d");
	ctx3.beginPath();
	ctx3.arc(425,300,175,0,2*Math.PI);
	ctx3.fillStyle = "<?php the_field('all_together_color_hex_code', 'options'); ?>";
	ctx3.fill();
	ctx3.globalAlpha = 0.5;

	var ctx4 = c.getContext("2d");
	ctx4.beginPath();
	ctx4.arc(300,425,175,0,2*Math.PI);
	ctx4.fillStyle = "<?php the_field('endurance_color_hex_code', 'options'); ?>";
	ctx4.fill();
	ctx4.globalAlpha = 0.5;

	</script>
</div>
<div class="backgrounds">
	<?php
	$images = get_field('landing_background_images','options');
	if($images):
		foreach($images as $image): ?>
			<div class="backgroundImage" style="background-image: url(<?php echo $image['url']; ?>)">
				<div class="backgroundImageCaption">
					<?php echo $image['caption']; ?>
				</div>
			</div>
		<?php endforeach; ?>
	<?php endif; ?>
</div>




<?php 
    // action hook for placing content below #container
    thematic_belowcontainer();
    
    // calling footer.php
    get_footer();
?>